Summary:	Atomix-style arcade game
Name:		marbles
Version:	001211
Release:	2mdk

Source0:	http://lgames.sourceforge.net/marbleslgames/%{name}-%{version}.tar.bz2
Source4:	%{name}.menu
Source5:	%{name}16.xpm
Source6:	%{name}32.xpm
Source7:	%{name}48.xpm

License:	GPL
Group:		Games/Boards
Packager:	Franois Pons <fpons@mandrakesoft.com>
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	libSDL1.1-devel

%description
Marbles is very similar to Atomix and was heavily inspired by it.
Goal is to create a more or less complex figure out of single
marbles within a time limit to reach the next level.
Sounds easy? Well, there is a problem: If a marble starts to move it
will not stop until it hits a wall or marble. And to make it even
more interesting there are obstacles like arrows,
crumbling walls and teleports!

%prep

%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_localstatedir}/games
%makeinstall DESTDIR=$RPM_BUILD_ROOT sdir=$RPM_BUILD_ROOT%{_datadir}/games/%{name} hdir=$RPM_BUILD_ROOT%{_localstatedir}/games
install -d $RPM_BUILD_ROOT%{_gamesbindir}
install -m0755 marbles/marbles $RPM_BUILD_ROOT%{_gamesbindir}/marbles

install -D -m644 %SOURCE4 $RPM_BUILD_ROOT%{_menudir}/%{name}
install -D -m644 %SOURCE6 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
install -D -m644 %SOURCE5 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
install -D -m644 %SOURCE7 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README TODO
%attr(2755, root, games) %{_gamesbindir}/*
%attr(664, games, games) %ghost %{_localstatedir}/games/*
%{_datadir}/games/%{name}
%{_menudir}/*
%{_iconsdir}/*.xpm
%{_miconsdir}/*
%{_liconsdir}/*

%changelog
* Fri Jan 13 2001 David BAUDNS <baudens@mandrakesoft.com> 001211-2mdk
- BuildRequires: libSDL1.1-devel

* Wed Dec 20 2000 Franois Pons <fpons@mandrakesoft.com> 001211-1mdk
- initial release
